Passer au contenu principal
POST
/
llm
LLM
curl --request POST \
  --url https://dream-gateway.livepeer.cloud/llm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "messages": [
    {
      "role": "<string>",
      "content": "<string>"
    }
  ],
  "model": "",
  "temperature": 0.7,
  "max_tokens": 256,
  "top_p": 1,
  "top_k": -1,
  "stream": false
}
'
{
  "id": "<string>",
  "model": "<string>",
  "created": 123,
  "usage": {
    "prompt_tokens": 123,
    "completion_tokens": 123,
    "total_tokens": 123
  },
  "choices": [
    {
      "index": 123,
      "finish_reason": "",
      "delta": {
        "role": "<string>",
        "content": "<string>"
      },
      "message": {
        "role": "<string>",
        "content": "<string>"
      }
    }
  ]
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

application/json
messages
LLMMessage · object[]
requis
model
string
défaut:""
temperature
number
défaut:0.7
max_tokens
integer
défaut:256
top_p
number
défaut:1
top_k
integer
défaut:-1
stream
boolean
défaut:false

Réponse

Successful Response

id
string
requis
model
string
requis
created
integer
requis
usage
LLMTokenUsage · object
requis
choices
LLMChoice · object[]
requis
Last modified on March 1, 2026